from concurrent.futures.thread import ThreadPoolExecutor

from clarabot_nano.common.handler.base import AbstractNanoHandler, NanoHandleHelper
from clarabot_nano.server.base.config import ServerConfig


class ServerHandleHelper(NanoHandleHelper):
    def __init__(self, pool: ThreadPoolExecutor):
        self.pool = pool


class AbstractNanoServerHandler(AbstractNanoHandler):
    helper: ServerHandleHelper
    extracted_config: ServerConfig
